﻿DROP FUNCTION votreBib.SFMiseAJourModeExpeditionTransporteur;

CREATE OR REPLACE FUNCTION votreBib.SFMiseAJourModeExpeditionTransporteur
(
-- <Signature>
-- <Input>
         IdModExp_I               INTEGER
-- </Input>
)
RETURNS
TABLE (
--<Output>
      ProcedureTechnique              VARCHAR(15),
      MessageCode                     INTEGER
--
-- </Output>
-- </Signature>
)

LANGUAGE SQL
DISALLOW PARALLEL
MODIFIES SQL DATA
SPECIFIC METMAJ01
NOT FENCED
SET OPTION
   COMMIT    = *None,
   USRPRF    = *User,
   DYNUSRPRF = *User,
   DATFMT    = *iso,
   DBGVIEW   = *Source
BEGIN

-- Declare condition controls
DECLARE SQLCODE                   INTEGER;
DECLARE SQLSTATE                  CHAR(5);
DECLARE PROCEDURETECHNIQUE_W      VARCHAR(10)    DEFAULT ' ' ;
DECLARE MessageCode_W             INTEGER        DEFAULT 0;

SET PROCEDURETECHNIQUE_W = sysibm.ROUTINE_SPECIFIC_NAME ;

PIPE(PROCEDURETECHNIQUE_W, MessageCode_W) ;
RETURN ;

END;
                           